# Install to /etc/systemd/system/watcher.service
[Unit]
Description=Run watcher
After=network-online.target
Wants=network-online.target systemd-networkd-wait-online.service

[Service]
Type=exec
ExecStart=/usr/local/bin/watcher --watcher_config /etc/watcher_config.yaml --watcher_name /etc/watcher_name.txt
Restart=on-failure
RestartSec=5s

[Install]
WantedBy=multi-user.target